### org.jfree.layouting.input.style

# Class UnmodifiableStyleSheetException

- `RuntimeException`
- - `org.jfree.layouting.input.style.UnmodifiableStyleSheetException`

`public class UnmodifiableStyleSheetException`
`extends RuntimeException`

Creation-Date: 01.12.2005, 20:59:34

Author:
  Thomas Morgner

  ## Constructor Summary

  `UnmodifiableStyleSheetException()`
    Constructs a new runtime exception with `null` as its detail message.

  `UnmodifiableStyleSheetException(String message)`
    Constructs a new runtime exception with the specified detail message.

## Constructor Details

### UnmodifiableStyleSheetException

    public UnmodifiableStyleSheetException()

> Constructs a new runtime exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `UnmodifiableStyleSheetException`.

### UnmodifiableStyleSheetException

    public UnmodifiableStyleSheetException(String message)

> Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `UnmodifiableStyleSheetException`.
> Parameters:
>   `message` - the detail message. The detail message is saved for later retrieval by the `getMessage()` method.